pcl::ndt2d::ValueAndDerivatives< N, T > Struct Template Reference

Class to store vector value and first and second derivatives (grad vector and hessian matrix), so they can be returned easily from functions. More...

`#include <pcl/registration/impl/ndt_2d.hpp>`

## Public Member Functions

| ValueAndDerivatives ()
ValueAndDerivatives< N, T > & | operator+= (ValueAndDerivatives< N, T > const &r)

## Static Public Member Functions

static ValueAndDerivatives< N, T > | Zero ()

## Public Attributes

Eigen::Matrix< T, N, N > | hessian
Eigen::Matrix< T, N, 1 > | grad
T | value

## Detailed Description

### template<unsigned N = 3, typename T = double>
struct pcl::ndt2d::ValueAndDerivatives< N, T >

Class to store vector value and first and second derivatives (grad vector and hessian matrix), so they can be returned easily from functions.

Definition at line 57 of file ndt_2d.hpp.

## Constructor & Destructor Documentation

## ValueAndDerivatives()

template<unsigned N = 3, typename T = double>

pcl::ndt2d::ValueAndDerivatives< N, T >::ValueAndDerivatives | ( |  | ) |

inline

Definition at line 58 of file ndt_2d.hpp.

## Member Function Documentation

## operator+=()

template<unsigned N = 3, typename T = double>

ValueAndDerivatives<N, T>& pcl::ndt2d::ValueAndDerivatives< N, T >::operator+= | ( | ValueAndDerivatives< N, T > const & | r | ) |

inline

Definition at line 75 of file ndt_2d.hpp.

References pcl::ndt2d::ValueAndDerivatives< N, T >::grad, pcl::ndt2d::ValueAndDerivatives< N, T >::hessian, and pcl::ndt2d::ValueAndDerivatives< N, T >::value.

## Zero()

template<unsigned N = 3, typename T = double>

static ValueAndDerivatives<N, T> pcl::ndt2d::ValueAndDerivatives< N, T >::Zero | ( |  | ) |

inline static

Definition at line 65 of file ndt_2d.hpp.

References pcl::ndt2d::ValueAndDerivatives< N, T >::grad, pcl::ndt2d::ValueAndDerivatives< N, T >::hessian, and pcl::ndt2d::ValueAndDerivatives< N, T >::value.

Referenced by pcl::NormalDistributionsTransform2D< PointSource, PointTarget >::computeTransformation(), pcl::ndt2d::NormalDist< PointT >::test(), pcl::ndt2d::NDTSingleGrid< PointT >::test(), and pcl::ndt2d::NDT2D< PointT >::test().

## Member Data Documentation

## grad

template<unsigned N = 3, typename T = double>

Eigen::Matrix<T, N, 1> pcl::ndt2d::ValueAndDerivatives< N, T >::grad

Definition at line 61 of file ndt_2d.hpp.

Referenced by pcl::NormalDistributionsTransform2D< PointSource, PointTarget >::computeTransformation(), pcl::ndt2d::ValueAndDerivatives< N, T >::operator+=(), pcl::ndt2d::NormalDist< PointT >::test(), and pcl::ndt2d::ValueAndDerivatives< N, T >::Zero().

## hessian

template<unsigned N = 3, typename T = double>

Eigen::Matrix<T, N, N> pcl::ndt2d::ValueAndDerivatives< N, T >::hessian

Definition at line 60 of file ndt_2d.hpp.

Referenced by pcl::NormalDistributionsTransform2D< PointSource, PointTarget >::computeTransformation(), pcl::ndt2d::ValueAndDerivatives< N, T >::operator+=(), pcl::ndt2d::NormalDist< PointT >::test(), and pcl::ndt2d::ValueAndDerivatives< N, T >::Zero().

## value

template<unsigned N = 3, typename T = double>

T pcl::ndt2d::ValueAndDerivatives< N, T >::value

Definition at line 62 of file ndt_2d.hpp.

Referenced by pcl::NormalDistributionsTransform2D< PointSource, PointTarget >::computeTransformation(), pcl::ndt2d::ValueAndDerivatives< N, T >::operator+=(), pcl::ndt2d::NormalDist< PointT >::test(), and pcl::ndt2d::ValueAndDerivatives< N, T >::Zero().

The documentation for this struct was generated from the following file:

- pcl/registration/impl/ndt_2d.hpp